#!/usr/bin/env bash
set -e

message=$1
docker_label="idx-reg-sql-migrate"

rm_container() {
  docker kill $docker_label >/dev/null
  docker rm $docker_label >/dev/null
}

docker run --name $docker_label -e POSTGRES_PASSWORD=secret -d -p 5432:5432 cb-docker-prod-virtual.usw1.packages.broadcom.com/postgres:11-alpine >/dev/null
trap 'rm_container' EXIT

echo "Waiting for db to initialize..."
db_starting=1
while [ $db_starting != 0 ]; do
    sleep 2
    psql postgres://postgres:secret@localhost:5432/postgres -t -q -c "select 1;" >/dev/null && db_starting=0 || db_starting=1
done

echo "Creating migration '$message'"
poetry run db_tool --db-host=localhost --db-port=5432 --db-name=postgres --db-user=postgres --db-password=secret --revision -m "$message"
